Subject: Re:
From: HFL Support Team <[email-masked]>
To: manager <[email-masked]>
Date: Sat, 6 Feb 2021 04:32:41 +0530

Replied ZD 99045

- Ayde

On Sat, Feb 6, 2021 at 1:17 AM Jacqueline Spencer <
[email-masked]> wrote:

> Greetings Dr. Robbins. I am a long time Choleslo user. My cholesterol
> results have been great and I feel great too. My recent annual blood work
> indicated Small level of blood in my urine, microscopic. (Fast) The test
> was repeated with the same results (no fast).
>
> I am writing to ask if it is possible  for me to have blood in my urine
> from long time Choleslo used?  All my other results were normal, liver,
> kidney... no signs of infection.  Never had a urinary tract infection.    I
> had a colonoscopy 6 Years ago. No polyps but something that prompted the
> doctor to recommend psyllium husk.  I do this but not daily and when I need
> to do it, I sometimes have a bit of blood if straining during the BM.
> Just a little background.
>
>   It’s weird. I feel great and pray this microscopic blood in my urine can
> be remedied.
>
> Bless.
>